Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.multipart
[Java] Class ContentLengthAwareCommonsMultipartResolver

    java.lang.Object
      org.springframework.web.multipart.commons.CommonsMultipartResolver
          org.codehaus.groovy.grails.web.multipart.ContentLengthAwareCommonsMultipartResolver

    public class ContentLengthAwareCommonsMultipartResolver
    extends CommonsMultipartResolver

Safari includes the multipart packet inside an HTTP redirect without the Content-Length header. This causes CommonsMultipartResolver to blow up. We extend it here to catch this exception, printing a warning.

Authors:
  Graeme Rocher

Since:
  1.0

  Created: Dec 7, 2007

Method Summary
`protected MultipartParsingResult` | `parseRequest(HttpServletRequest request)`

Method Detail

### parseRequest

    @SuppressWarnings("deprecation")
    @Override
    protected MultipartParsingResult parseRequest(HttpServletRequest request)

Groovy Documentation